Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::FileOutputStream Class Reference

ファイル出力ストリーム More...

`#include <FileOutputStream.h>`

Inheritance diagram for Lamp::FileOutputStream:

List of all members.

## Public Member Functions
| FileOutputStream (String fileName)
| コンストラクタ
virtual | ~FileOutputStream ()
| デストラクタ
## Protected Member Functions
virtual void | writeBytes (const void *data, int size)
| バイトデータの書き出し
virtual int | getSize ()
| サイズの取得
virtual void | skip (int size)
| スキップ
virtual int | align (int alignSize)
| アライメントを取る
virtual int | getPosition ()
| 書き込み位置の取得
virtual void | setPosition (int position)
| 書き込み位置の設定
virtual void | flush ()
| フラッシュ

## Detailed Description

ファイル出力ストリーム

Definition at line 37 of file FileOutputStream.h.

## Member Function Documentation

int Lamp::FileOutputStream::align | ( | int | alignSize | ) | `[protected, virtual]`

  | アライメントを取る 指定されたバイト数のアライメントまで0を書き出します。 Parameters:
  alignSize | アライメントをとるバイト数
Returns: 0を書き出したバイト数 Implements Lamp::OutputStream. Definition at line 68 of file FileOutputStream.cpp. References Assert.

void Lamp::FileOutputStream::flush | ( |  | ) | `[protected, virtual]`

| フラッシュ ストリームをフラッシュします。 Implements Lamp::OutputStream. Definition at line 94 of file FileOutputStream.cpp. References Assert.

int Lamp::FileOutputStream::getPosition | ( |  | ) | `[protected, virtual]`

| 書き込み位置の取得 Returns: 書き込み位置 Implements Lamp::OutputStream. Definition at line 82 of file FileOutputStream.cpp.

int Lamp::FileOutputStream::getSize | ( |  | ) | `[protected, virtual]`

| サイズの取得 Returns: 書き込んだバイト数 Implements Lamp::OutputStream. Definition at line 53 of file FileOutputStream.cpp.

void Lamp::FileOutputStream::setPosition | ( | int | position | ) | `[protected, virtual]`

  | 書き込み位置の設定 指定された位置に書き込み位置を変更します。 Parameters:
  position | 書き込み位置
Implements Lamp::OutputStream. Definition at line 87 of file FileOutputStream.cpp. References Assert.

void Lamp::FileOutputStream::skip | ( | int | size | ) | `[protected, virtual]`

  | スキップ 指定されたバイト数、0を書き出します。 Parameters:
  size | 0を書き出すバイト数
Implements Lamp::OutputStream. Definition at line 58 of file FileOutputStream.cpp. References Assert.

void Lamp::FileOutputStream::writeBytes | ( | const void * | data,
|  | int | size
| ) | `[protected, virtual]`

  | バイトデータの書き出し Parameters:
  data | 書き出すバイトデータ
  size | 書き出すサイズ
Implements Lamp::OutputStream. Definition at line 45 of file FileOutputStream.cpp. References Assert.

The documentation for this class was generated from the following files:

- FileOutputStream.h
- FileOutputStream.cpp